package cn.gtmap.estateplat.config.core.service;

import cn.gtmap.estateplat.model.server.core.BdcGdxx;
import cn.gtmap.estateplat.model.server.core.BdcXm;

import java.util.List;

/**
 * Created by zdd on 2016/1/7.
 * 不动产登记项目归档信息服务
 */
public interface BdcGdxxService {
    /**
     * zdd 插入归档信息
     *
     * @param bdcGdxx
     */
    void insertBdcGdxx(BdcGdxx bdcGdxx);

    /**
     * zdd 更新归档信息
     *
     * @param bdcGdxx
     */
    void updateBdcGdxx(BdcGdxx bdcGdxx);

    /**
     * zdd 根据档案系统返回的xml信息   初始化归档信息
     *
     * @param gdxml 档案系统归档xml
     * @return
     */
    BdcGdxx initBdcGdxx(BdcGdxx bdcGdxx, final String gdxml);
    /**
     * 
     * @author wangtao
     * @description 判断是否已经归档
     * @param 
     * @return boolean
     */
    boolean checkIsGd(final String porid);

    /**
     * @author bianwen
     * @description  批量归档
     */
    public List<BdcGdxx> initPlBdcGdxx(String gdxml);

    /**
     * @author bianwen
     * @description  获取归档信息
     */
    public BdcGdxx selectBdcGdxx(BdcXm bdcXm);
}
